package org.example;

public class PopulationOfUs {
    public static void main(String[] args) {

        final int SECONDS_PER_DAY = 24 * 60 * 60;
        final int DAYS_PER_YEAR = 365;

        final double BIRTHS_PER_SECOND = 1.0 / 7;
        final double DEATHS_PER_SECOND = 1.0 / 13;
        final double IMMIGRANTS_PER_SECOND = 1.0 / 45;


        long currentPopulation = 312032486;

        // Population Change Per Year=(Births Per Second−Deaths Per Second+Immigrants Per Second)×Seconds Per Day×Days Per Year
        double populationChangePerYear = (BIRTHS_PER_SECOND - DEATHS_PER_SECOND + IMMIGRANTS_PER_SECOND) * SECONDS_PER_DAY * DAYS_PER_YEAR;

        for (int year = 1; year  <=5; year++) {
            long newPopulation = (long) (currentPopulation + populationChangePerYear * year);
            System.out.println("Year " + year + ": " + newPopulation);
        }

    }
}
