package org.example;

import java.util.Scanner;

public class RevisedBMI {

    public static void main(String[] args) {
        Scanner input = new Scanner(System.in);

        System.out.print("Enter weight in pounds: ");
        double weightInPounds = input.nextDouble();
        System.out.print("Enter feet: ");
        int feet = input.nextInt();
        System.out.print("Enter inches: ");
        int inches = input.nextInt();

        // Height in Meters=(Feet*12*.3048)+(Inches×0.0254)
        double heightInMeters = (feet * 12 + inches) * 0.0254;

        // Calculate BMI & The constant 0.45359237 is the conversion factor since 1 pound is approximately equal to 0.45359237 kilograms
        double bmi = weightInPounds * 0.45359237 / (heightInMeters * heightInMeters);

        String Level = null;
        if (bmi < 18.5) {
            Level = "Underweight";
        } else if (bmi < 25) {
            Level = "Normal";
        } else if (bmi < 30) {
            Level = "Overweight";
        } else {
            Level = "Obese";
        }

        System.out.println("BMI is " + bmi);
        System.out.println("Level: " + Level);
    }
}
